Index: cprs/branches/HealthSevak-CPRS/CPRS-Chart/fFrame.dfm
===================================================================
--- cprs/branches/HealthSevak-CPRS/CPRS-Chart/fFrame.dfm	(revision 1676)
+++ cprs/branches/HealthSevak-CPRS/CPRS-Chart/fFrame.dfm	(revision 1693)
@@ -1,8 +1,8 @@
 inherited frmFrame: TfrmFrame
-  Left = 196
-  Top = 119
+  Left = 219
+  Top = 102
   Caption = 'p'
-  ClientHeight = 574
-  ClientWidth = 687
+  ClientHeight = 633
+  ClientWidth = 793
   FormStyle = fsMDIForm
   Menu = mnuFrame
@@ -16,8 +16,6 @@
   OnHelp = FormHelp
   OnResize = FormResize
-  ExplicitLeft = 196
-  ExplicitTop = 119
-  ExplicitWidth = 695
-  ExplicitHeight = 620
+  ExplicitWidth = 801
+  ExplicitHeight = 687
   PixelsPerInch = 96
   TextHeight = 13
@@ -25,6 +23,6 @@
     Left = 0
     Top = 0
-    Width = 687
-    Height = 574
+    Width = 793
+    Height = 633
     Align = alClient
     Caption = 'No patient is currently selected'
@@ -41,6 +39,6 @@
     Left = 0
     Top = 0
-    Width = 687
-    Height = 574
+    Width = 793
+    Height = 633
     Align = alClient
     TabOrder = 0
@@ -48,5 +46,5 @@
       Left = 1
       Top = 41
-      Width = 685
+      Width = 791
       Height = 1
       Align = alTop
@@ -56,14 +54,13 @@
       Left = 1
       Top = 1
-      Width = 685
+      Width = 791
       Height = 40
       Align = alTop
       BevelOuter = bvNone
-      Caption = 'object pnlRemoteData: TKeyClickPanel'
       TabOrder = 0
       object bvlToolTop: TBevel
         Left = 0
         Top = 0
-        Width = 685
+        Width = 791
         Height = 1
         Align = alTop
@@ -164,6 +161,7 @@
           Left = 6
           Top = 19
-          Width = 4
-          Height = 4
+          Width = 64
+          Height = 17
+          Caption = '000-00-0000'
           Font.Charset = DEFAULT_CHARSET
           Font.Color = clInfoText
@@ -220,4 +218,6 @@
         OnEnter = pnlPrimaryCareEnter
         OnExit = pnlPrimaryCareExit
+        OnMouseDown = pnlVisitMouseDown
+        OnMouseUp = pnlVisitMouseUp
         object lblPtLocation: TStaticText
           Left = 6
@@ -236,4 +236,6 @@
           TabOrder = 0
           OnClick = pnlVisitClick
+          OnMouseDown = pnlVisitMouseDown
+          OnMouseUp = pnlVisitMouseUp
         end
         object lblPtProvider: TStaticText
@@ -252,4 +254,6 @@
           TabOrder = 1
           OnClick = pnlVisitClick
+          OnMouseDown = pnlVisitMouseDown
+          OnMouseUp = pnlVisitMouseUp
         end
       end
@@ -257,5 +261,5 @@
         Left = 345
         Top = 1
-        Width = 67
+        Width = 117
         Height = 39
         Hint = 'Primary Care Team / Primary Care Provider'
@@ -315,5 +319,5 @@
       end
       object pnlReminders: TKeyClickPanel
-        Left = 580
+        Left = 686
         Top = 1
         Width = 35
@@ -356,48 +360,6 @@
         end
       end
-      object pnlFlag: TKeyClickPanel
-        Left = 472
-        Top = 1
-        Width = 35
-        Height = 39
-        Hint = 'Click to display patient record flags.'
-        Align = alRight
-        BevelWidth = 2
-        Caption = 'Flag'
-        ParentShowHint = False
-        ShowHint = True
-        TabOrder = 4
-        TabStop = True
-        OnClick = pnlFlagClick
-        OnEnter = pnlFlagEnter
-        OnExit = pnlFlagExit
-        OnMouseDown = pnlFlagMouseDown
-        OnMouseUp = pnlFlagMouseUp
-        object lblFlag: TLabel
-          Left = 2
-          Top = 2
-          Width = 31
-          Height = 35
-          Align = alClient
-          Alignment = taCenter
-          Caption = 'Flag'
-          Enabled = False
-          Font.Charset = DEFAULT_CHARSET
-          Font.Color = clBtnFace
-          Font.Height = -11
-          Font.Name = 'MS Sans Serif'
-          Font.Style = [fsBold]
-          ParentFont = False
-          Layout = tlCenter
-          WordWrap = True
-          OnClick = pnlFlagClick
-          OnMouseDown = pnlFlagMouseDown
-          OnMouseUp = pnlFlagMouseUp
-          ExplicitWidth = 25
-          ExplicitHeight = 13
-        end
-      end
       object pnlPostings: TKeyClickPanel
-        Left = 615
+        Left = 721
         Top = 1
         Width = 70
@@ -464,5 +426,5 @@
       end
       object paVAA: TKeyClickPanel
-        Left = 412
+        Left = 462
         Top = 1
         Width = 60
@@ -510,6 +472,68 @@
         end
       end
+      object pnlCVnFlag: TPanel
+        Left = 522
+        Top = 1
+        Width = 91
+        Height = 39
+        Align = alRight
+        TabOrder = 4
+        object btnCombatVet: TButton
+          Left = 1
+          Top = 20
+          Width = 89
+          Height = 18
+          Hint = 'Click to display combat veteran eligibility details.'
+          Align = alBottom
+          Caption = 'CV JAN 30, 2008'
+          ParentShowHint = False
+          ShowHint = True
+          TabOrder = 1
+          OnClick = btnCombatVetClick
+        end
+        object pnlFlag: TKeyClickPanel
+          Left = 1
+          Top = 1
+          Width = 89
+          Height = 19
+          Hint = 'Click to display patient record flags.'
+          Align = alClient
+          BevelWidth = 2
+          ParentShowHint = False
+          ShowHint = True
+          TabOrder = 0
+          TabStop = True
+          OnClick = pnlFlagClick
+          OnEnter = pnlFlagEnter
+          OnExit = pnlFlagExit
+          OnMouseDown = pnlFlagMouseDown
+          OnMouseUp = pnlFlagMouseUp
+          object lblFlag: TLabel
+            Left = 2
+            Top = 2
+            Width = 85
+            Height = 15
+            Align = alClient
+            Alignment = taCenter
+            Caption = 'Flag'
+            Enabled = False
+            Font.Charset = DEFAULT_CHARSET
+            Font.Color = clBtnFace
+            Font.Height = -11
+            Font.Name = 'MS Sans Serif'
+            Font.Style = [fsBold]
+            ParentFont = False
+            Layout = tlCenter
+            WordWrap = True
+            OnClick = pnlFlagClick
+            OnMouseDown = pnlFlagMouseDown
+            OnMouseUp = pnlFlagMouseUp
+            ExplicitWidth = 25
+            ExplicitHeight = 13
+          end
+        end
+      end
       object pnlRemoteData: TKeyClickPanel
-        Left = 507
+        Left = 613
         Top = 1
         Width = 73
@@ -624,6 +648,6 @@
     object stsArea: TStatusBar
       Left = 1
-      Top = 552
-      Width = 685
+      Top = 611
+      Width = 791
       Height = 21
       Panels = <
@@ -652,6 +676,6 @@
     object tabPage: TTabControl
       Left = 1
-      Top = 530
-      Width = 685
+      Top = 589
+      Width = 791
       Height = 22
       Align = alBottom
@@ -665,4 +689,5 @@
       TabPosition = tpBottom
       OnChange = tabPageChange
+      OnMouseDown = tabPageMouseDown
       OnMouseUp = tabPageMouseUp
     end
@@ -670,6 +695,6 @@
       Left = 1
       Top = 42
-      Width = 685
-      Height = 488
+      Width = 791
+      Height = 547
       Align = alClient
       BevelOuter = bvNone
@@ -767,7 +792,4 @@
         'Status = stsDefault')
       (
-        'Component = pnlFlag'
-        'Status = stsDefault')
-      (
         'Component = pnlPostings'
         'Status = stsDefault')
@@ -803,4 +825,13 @@
       (
         'Component = frmFrame'
+        'Status = stsDefault')
+      (
+        'Component = pnlCVnFlag'
+        'Status = stsDefault')
+      (
+        'Component = btnCombatVet'
+        'Status = stsDefault')
+      (
+        'Component = pnlFlag'
         'Status = stsDefault')
       (
@@ -894,4 +925,9 @@
         ShortCut = 16474
         OnClick = mnuEditUndoClick
+      end
+      object mnuEditRedo: TMenuItem
+        Caption = 'Re&do'
+        ShortCut = 16473
+        OnClick = mnuEditRedoClick
       end
       object Z3: TMenuItem
@@ -1072,5 +1108,4 @@
       Caption = '&Tools'
       GroupIndex = 8
-      OnClick = mnuToolsClick
       object Z8: TMenuItem
         Caption = '-'
@@ -1129,5 +1164,5 @@
   object popCIRN: TPopupMenu
     Left = 539
-    Top = 60
+    Top = 148
     object popCIRNSelectAll: TMenuItem
       Caption = 'Select All'
